#version 330 core

layout (location = 0) in vec3 aPos;
layout (location = 3) in vec2 aTexCoord;

out vec2 texCoord;

uniform mat4 camMatrix;
uniform mat4 model;

void main()
{
    texCoord = aTexCoord;
    gl_Position = camMatrix * model * vec4(aPos, 1.0);
}
